<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZIntroScenePC Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d75/class_day_z_intro_scene_p_c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZIntroScenePC Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DayZIntroScenePC:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d75/class_day_z_intro_scene_p_c.png" usemap="#DayZIntroScenePC_map" alt=""/>
  <map id="DayZIntroScenePC_map" name="DayZIntroScenePC_map">
<area href="../../da/dcf/class_day_z_intro_scene.html" alt="DayZIntroScene" shape="rect" coords="0,0,122,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5778daa4cc3cfa5600cadd34f660a793"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a5778daa4cc3cfa5600cadd34f660a793">DayZIntroScenePC</a> ()</td></tr>
<tr class="separator:a5778daa4cc3cfa5600cadd34f660a793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af948b221a6c1b77b69ef4d4a76d6d5cb"><td class="memItemLeft" align="right" valign="top">protected override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af948b221a6c1b77b69ef4d4a76d6d5cb">SetInitPostprocesses</a> ()</td></tr>
<tr class="separator:af948b221a6c1b77b69ef4d4a76d6d5cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ff1a5bf5c84dc46bee505460d4f8615"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9ff1a5bf5c84dc46bee505460d4f8615">SetClickEnable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a9ff1a5bf5c84dc46bee505460d4f8615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34d0e6f3c6af6c19ea3681963d85131"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af34d0e6f3c6af6c19ea3681963d85131">IsClickEnabled</a> ()</td></tr>
<tr class="separator:af34d0e6f3c6af6c19ea3681963d85131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adec1b8a2e42de22c0aeeb7ba4c889b8c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#adec1b8a2e42de22c0aeeb7ba4c889b8c">CharacterRotationStart</a> ()</td></tr>
<tr class="separator:adec1b8a2e42de22c0aeeb7ba4c889b8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1c94d64c98801f87abf91cc87b44349"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af1c94d64c98801f87abf91cc87b44349">CharacterRotationStop</a> ()</td></tr>
<tr class="separator:af1c94d64c98801f87abf91cc87b44349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad47f6a9dae697ed67db9b413ae411d5e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ad47f6a9dae697ed67db9b413ae411d5e">IsRotatingCharacter</a> ()</td></tr>
<tr class="separator:ad47f6a9dae697ed67db9b413ae411d5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a977078e163e34d41040b014971a21e09"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a977078e163e34d41040b014971a21e09">CharacterRotate</a> ()</td></tr>
<tr class="separator:a977078e163e34d41040b014971a21e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9652cd0bdad92a44d1867697e4dd536b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9652cd0bdad92a44d1867697e4dd536b">Update</a> ()</td></tr>
<tr class="separator:a9652cd0bdad92a44d1867697e4dd536b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:acf3c41a19833f99bc47e39c5b8fb9caa"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#acf3c41a19833f99bc47e39c5b8fb9caa">m_EnableClick</a></td></tr>
<tr class="separator:acf3c41a19833f99bc47e39c5b8fb9caa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f570735054730213dfc95deaad9b2cb"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a9f570735054730213dfc95deaad9b2cb">m_RotatingCharacter</a></td></tr>
<tr class="separator:a9f570735054730213dfc95deaad9b2cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4440e45af1aebf4a6fa967bace6723ae"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4440e45af1aebf4a6fa967bace6723ae">m_RotatingCharacterMouseX</a></td></tr>
<tr class="separator:a4440e45af1aebf4a6fa967bace6723ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7577a541787b058876d0c3c9cca693c5"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a7577a541787b058876d0c3c9cca693c5">m_RotatingCharacterMouseY</a></td></tr>
<tr class="separator:a7577a541787b058876d0c3c9cca693c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62eb1edd9a8434fc4d1d3b1c9b86f72d"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a62eb1edd9a8434fc4d1d3b1c9b86f72d">m_RotatingCharacterRot</a></td></tr>
<tr class="separator:a62eb1edd9a8434fc4d1d3b1c9b86f72d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87fc2a5f55ed7d04ea7095935ead99ca"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a87fc2a5f55ed7d04ea7095935ead99ca">m_Radius</a></td></tr>
<tr class="separator:a87fc2a5f55ed7d04ea7095935ead99ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a988fff802f751a6565f980683595f46f"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a988fff802f751a6565f980683595f46f">m_Radius_original</a></td></tr>
<tr class="separator:a988fff802f751a6565f980683595f46f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a182d036fb8c2c0b875ff8879195d4be7"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a182d036fb8c2c0b875ff8879195d4be7">m_DiffX</a></td></tr>
<tr class="separator:a182d036fb8c2c0b875ff8879195d4be7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d9cb8c36b6918fbb92afb481eac43f8"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4d9cb8c36b6918fbb92afb481eac43f8">m_DeltaX</a></td></tr>
<tr class="separator:a4d9cb8c36b6918fbb92afb481eac43f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa536c9abf0a9533cb1fbc603b3bba0cc"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#aa536c9abf0a9533cb1fbc603b3bba0cc">m_DeltaZ</a></td></tr>
<tr class="separator:aa536c9abf0a9533cb1fbc603b3bba0cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51ba660eea4e634da7b1c38f144c15a4"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a51ba660eea4e634da7b1c38f144c15a4">m_Angle</a></td></tr>
<tr class="separator:a51ba660eea4e634da7b1c38f144c15a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad07a3d0987215df92f24016ffc086458"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ad07a3d0987215df92f24016ffc086458">m_Angle_offset</a> = 0</td></tr>
<tr class="separator:ad07a3d0987215df92f24016ffc086458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0aef8d0ebd2adf693d755940c592e6f6"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a0aef8d0ebd2adf693d755940c592e6f6">m_NewX</a> = 0</td></tr>
<tr class="separator:a0aef8d0ebd2adf693d755940c592e6f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0791b993d7db56dd71b98bb14870525"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#ac0791b993d7db56dd71b98bb14870525">m_NewZ</a> = 0</td></tr>
<tr class="separator:ac0791b993d7db56dd71b98bb14870525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e14fa0667c2047fc456e43e040013ef"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#a4e14fa0667c2047fc456e43e040013ef">m_BlurValue</a></td></tr>
<tr class="separator:a4e14fa0667c2047fc456e43e040013ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0670088a107e1aa24e038068e94e74f"><td class="memItemLeft" align="right" valign="top">protected ref OptionsMenu&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html#af0670088a107e1aa24e038068e94e74f">m_optmenu</a></td></tr>
<tr class="separator:af0670088a107e1aa24e038068e94e74f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5778daa4cc3cfa5600cadd34f660a793" name="a5778daa4cc3cfa5600cadd34f660a793"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5778daa4cc3cfa5600cadd34f660a793">&#9670;&#160;</a></span>DayZIntroScenePC()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZIntroScenePC::DayZIntroScenePC </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00022">22</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a977078e163e34d41040b014971a21e09" name="a977078e163e34d41040b014971a21e09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a977078e163e34d41040b014971a21e09">&#9670;&#160;</a></span>CharacterRotate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZIntroScenePC::CharacterRotate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00086">86</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="adec1b8a2e42de22c0aeeb7ba4c889b8c" name="adec1b8a2e42de22c0aeeb7ba4c889b8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adec1b8a2e42de22c0aeeb7ba4c889b8c">&#9670;&#160;</a></span>CharacterRotationStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZIntroScenePC::CharacterRotationStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00059">59</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="af1c94d64c98801f87abf91cc87b44349" name="af1c94d64c98801f87abf91cc87b44349"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1c94d64c98801f87abf91cc87b44349">&#9670;&#160;</a></span>CharacterRotationStop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZIntroScenePC::CharacterRotationStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00071">71</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="af34d0e6f3c6af6c19ea3681963d85131" name="af34d0e6f3c6af6c19ea3681963d85131"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af34d0e6f3c6af6c19ea3681963d85131">&#9670;&#160;</a></span>IsClickEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZIntroScenePC::IsClickEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00053">53</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="ad47f6a9dae697ed67db9b413ae411d5e" name="ad47f6a9dae697ed67db9b413ae411d5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad47f6a9dae697ed67db9b413ae411d5e">&#9670;&#160;</a></span>IsRotatingCharacter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZIntroScenePC::IsRotatingCharacter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00080">80</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a9ff1a5bf5c84dc46bee505460d4f8615" name="a9ff1a5bf5c84dc46bee505460d4f8615"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff1a5bf5c84dc46bee505460d4f8615">&#9670;&#160;</a></span>SetClickEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZIntroScenePC::SetClickEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00047">47</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="af948b221a6c1b77b69ef4d4a76d6d5cb" name="af948b221a6c1b77b69ef4d4a76d6d5cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af948b221a6c1b77b69ef4d4a76d6d5cb">&#9670;&#160;</a></span>SetInitPostprocesses()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected override void DayZIntroScenePC::SetInitPostprocesses </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00036">36</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a9652cd0bdad92a44d1867697e4dd536b" name="a9652cd0bdad92a44d1867697e4dd536b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9652cd0bdad92a44d1867697e4dd536b">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZIntroScenePC::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00106">106</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a51ba660eea4e634da7b1c38f144c15a4" name="a51ba660eea4e634da7b1c38f144c15a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51ba660eea4e634da7b1c38f144c15a4">&#9670;&#160;</a></span>m_Angle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_Angle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00013">13</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="ad07a3d0987215df92f24016ffc086458" name="ad07a3d0987215df92f24016ffc086458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad07a3d0987215df92f24016ffc086458">&#9670;&#160;</a></span>m_Angle_offset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_Angle_offset = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00014">14</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a4e14fa0667c2047fc456e43e040013ef" name="a4e14fa0667c2047fc456e43e040013ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e14fa0667c2047fc456e43e040013ef">&#9670;&#160;</a></span>m_BlurValue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_BlurValue</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00017">17</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a4d9cb8c36b6918fbb92afb481eac43f8" name="a4d9cb8c36b6918fbb92afb481eac43f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d9cb8c36b6918fbb92afb481eac43f8">&#9670;&#160;</a></span>m_DeltaX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_DeltaX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00011">11</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="aa536c9abf0a9533cb1fbc603b3bba0cc" name="aa536c9abf0a9533cb1fbc603b3bba0cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa536c9abf0a9533cb1fbc603b3bba0cc">&#9670;&#160;</a></span>m_DeltaZ</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_DeltaZ</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00012">12</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a182d036fb8c2c0b875ff8879195d4be7" name="a182d036fb8c2c0b875ff8879195d4be7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a182d036fb8c2c0b875ff8879195d4be7">&#9670;&#160;</a></span>m_DiffX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_DiffX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00010">10</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="acf3c41a19833f99bc47e39c5b8fb9caa" name="acf3c41a19833f99bc47e39c5b8fb9caa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf3c41a19833f99bc47e39c5b8fb9caa">&#9670;&#160;</a></span>m_EnableClick</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZIntroScenePC::m_EnableClick</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a0aef8d0ebd2adf693d755940c592e6f6" name="a0aef8d0ebd2adf693d755940c592e6f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0aef8d0ebd2adf693d755940c592e6f6">&#9670;&#160;</a></span>m_NewX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_NewX = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00015">15</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="ac0791b993d7db56dd71b98bb14870525" name="ac0791b993d7db56dd71b98bb14870525"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0791b993d7db56dd71b98bb14870525">&#9670;&#160;</a></span>m_NewZ</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_NewZ = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00016">16</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="af0670088a107e1aa24e038068e94e74f" name="af0670088a107e1aa24e038068e94e74f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0670088a107e1aa24e038068e94e74f">&#9670;&#160;</a></span>m_optmenu</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref OptionsMenu DayZIntroScenePC::m_optmenu</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00019">19</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a87fc2a5f55ed7d04ea7095935ead99ca" name="a87fc2a5f55ed7d04ea7095935ead99ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87fc2a5f55ed7d04ea7095935ead99ca">&#9670;&#160;</a></span>m_Radius</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_Radius</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00008">8</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a988fff802f751a6565f980683595f46f" name="a988fff802f751a6565f980683595f46f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a988fff802f751a6565f980683595f46f">&#9670;&#160;</a></span>m_Radius_original</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_Radius_original</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00009">9</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a9f570735054730213dfc95deaad9b2cb" name="a9f570735054730213dfc95deaad9b2cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f570735054730213dfc95deaad9b2cb">&#9670;&#160;</a></span>m_RotatingCharacter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZIntroScenePC::m_RotatingCharacter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a4440e45af1aebf4a6fa967bace6723ae" name="a4440e45af1aebf4a6fa967bace6723ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4440e45af1aebf4a6fa967bace6723ae">&#9670;&#160;</a></span>m_RotatingCharacterMouseX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZIntroScenePC::m_RotatingCharacterMouseX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00005">5</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a7577a541787b058876d0c3c9cca693c5" name="a7577a541787b058876d0c3c9cca693c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7577a541787b058876d0c3c9cca693c5">&#9670;&#160;</a></span>m_RotatingCharacterMouseY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZIntroScenePC::m_RotatingCharacterMouseY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00006">6</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<a id="a62eb1edd9a8434fc4d1d3b1c9b86f72d" name="a62eb1edd9a8434fc4d1d3b1c9b86f72d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62eb1edd9a8434fc4d1d3b1c9b86f72d">&#9670;&#160;</a></span>m_RotatingCharacterRot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZIntroScenePC::m_RotatingCharacterRot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html#l00007">7</a> of file <a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/<a class="el" href="../../d2/d3a/_day_z_intro_scene_p_c_8c_source.html">DayZIntroScenePC.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d75/class_day_z_intro_scene_p_c.html">DayZIntroScenePC</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
